summaryrefslogtreecommitdiffstats
path: root/games/frotz
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-12-16 17:42:36 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-23 09:16:19 -0500
commit70d06d7b87d0ff6f7332aa25228475bf4b58ebf6 (patch)
treeacc23febc4479a7155cb9991454a1613a3614dd4 /games/frotz
parentcc0266a908063f7c38ed16ac50ba9b72797c4975 (diff)
downloadslackbuilds-70d06d7b87d0ff6f7332aa25228475bf4b58ebf6.tar.gz
slackbuilds-70d06d7b87d0ff6f7332aa25228475bf4b58ebf6.tar.xz
games/frotz: Added (Z-machine interpreter)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games/frotz')
-rw-r--r--games/frotz/README5
-rw-r--r--games/frotz/frotz.SlackBuild79
-rw-r--r--games/frotz/frotz.info10
-rw-r--r--games/frotz/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/games/frotz/README b/games/frotz/README
new file mode 100644
index 0000000000..303e7f63bc
--- /dev/null
+++ b/games/frotz/README
@@ -0,0 +1,5 @@
+frotz (Z-machine interpreter)
+
+Frotz is an interpreter for Infocom games and other Z-machine games. It
+complies with standard 1.0 of Graham Nelson's specification. Games can
+be found at http://www.ifarchive.org/ .
diff --git a/games/frotz/frotz.SlackBuild b/games/frotz/frotz.SlackBuild
new file mode 100644
index 0000000000..5d9a3920e5
--- /dev/null
+++ b/games/frotz/frotz.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/bash
+#
+# Slackware build script for frotz
+
+# Written by Beej Jorgensen <beej@beej.us>
+
+# Modified by B. Watson <yalhcru@gmail.com>
+# - updated for Slackware 14 and frotz 2.43d
+# - include dumb terminal frotz in build
+
+PRGNAM=frotz
+VERSION=${VERSION:-2.43d}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# no need for LIBDIRSUFFIX, frotz doesn't use /usr/lib
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make OPTS="$SLKCFLAGS" PREFIX=/usr CONFIG_DIR=/etc
+strip $PRGNAM
+make PREFIX=$PKG/usr CONFIG_DIR=/etc install
+
+# include dumb terminal version (it's small and maybe useful).
+sed -i 's/getline/dumb_getline/g' src/dumb/dumb_input.c
+make OPTS="$SLKCFLAGS" PREFIX=/usr CONFIG_DIR=/etc dfrotz
+install -s -m0755 dfrotz $PKG/usr/bin
+cat doc/dfrotz.6 > $PKG/usr/man/man6/dfrotz.6
+
+gzip $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog DUMB HOW_TO_PLAY INSTALL \
+ PACKAGING PORTING README README.1st SPEECH TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/frotz.conf-{big,small} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/frotz/frotz.info b/games/frotz/frotz.info
new file mode 100644
index 0000000000..ed6059a082
--- /dev/null
+++ b/games/frotz/frotz.info
@@ -0,0 +1,10 @@
+PRGNAM="frotz"
+VERSION="2.43d"
+HOMEPAGE="http://frotz.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/frotz/frotz/2.43/frotz-2.43d.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="6f4211c9180c75214cda1020c7db2629"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/frotz/slack-desc b/games/frotz/slack-desc
new file mode 100644
index 0000000000..2f66182ed8
--- /dev/null
+++ b/games/frotz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+frotz: frotz (Z-machine interpreter)
+frotz:
+frotz: Frotz is an interpreter for Infocom games and other Z-machine games.
+frotz: It complies with standard 1.0 of Graham Nelson's specification.
+frotz: Games can be found at http://www.ifarchive.org/ .
+frotz:
+frotz: http://frotz.sourceforge.net/
+frotz:
+frotz:
+frotz:
+frotz: